export declare class AssetStorage {
    private id;
    private cache;
    private manifest;
    constructor(id: string);
    init(): Promise<void>;
    add(request: RequestInfo, response: Response): Promise<Boolean>;
    get(request: RequestInfo): Promise<Response>;
    setManifest(manifest: any): Promise<void>;
    clear(): Promise<void>;
}
